Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QUrl.FormattingOption

    java.lang.Object
      java.lang.Enum<QUrl.FormattingOption>
          com.trolltech.qt.core.QUrl.FormattingOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QUrl.FormattingOption>

Enclosing class:
  QUrl

    public static enum QUrl.FormattingOption

extends java.lang.Enum<QUrl.FormattingOption>
implements QtEnumerator

The formatting options define how the URL is formatted when written out as text.

Enum Constant Summary
`None` The URL is left unchanged.
`RemoveAuthority` Internal.
`RemoveFragment` Internal.
`RemovePassword` Any password in the URL is removed.
`RemovePath` The URL's path is removed, leaving only the scheme, host address, and port (if present).
`RemovePort` Any specified port is removed from the URL.
`RemoveQuery` The query part of the URL (following a '?' character) is removed.
`RemoveScheme` The scheme is removed from the URL.
`RemoveUserInfo` Any user information in the URL is removed.
`StripTrailingSlash` The trailing slash is removed if one is present.

Method Summary
`static QUrl.FormattingOptions` | `createQFlags(QUrl.FormattingOption... values)`
`static QUrl.FormattingOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUrl.FormattingOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QUrl.FormattingOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QUrl.FormattingOption None

  The URL is left unchanged.

### RemoveScheme

    public static final QUrl.FormattingOption RemoveScheme

  The scheme is removed from the URL.

### RemovePassword

    public static final QUrl.FormattingOption RemovePassword

  Any password in the URL is removed.

### RemoveUserInfo

    public static final QUrl.FormattingOption RemoveUserInfo

  Any user information in the URL is removed.

### RemovePort

    public static final QUrl.FormattingOption RemovePort

  Any specified port is removed from the URL.

### RemoveAuthority

    public static final QUrl.FormattingOption RemoveAuthority

  Internal.

### RemovePath

    public static final QUrl.FormattingOption RemovePath

  The URL's path is removed, leaving only the scheme, host address, and port (if present).

### RemoveQuery

    public static final QUrl.FormattingOption RemoveQuery

  The query part of the URL (following a '?' character) is removed.

### RemoveFragment

    public static final QUrl.FormattingOption RemoveFragment

  Internal.

### StripTrailingSlash

    public static final QUrl.FormattingOption StripTrailingSlash

  The trailing slash is removed if one is present.

Method Detail

### values

    public static final QUrl.FormattingOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QUrl.FormattingOption c : QUrl.FormattingOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QUrl.FormattingOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QUrl.FormattingOptions createQFlags(QUrl.FormattingOption... values)

### resolve

    public static QUrl.FormattingOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD